Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class WebBean

    java.lang.Object
      org.jivesoftware.util.WebBean

Direct Known Subclasses:
  WebManager

    public abstract class WebBean

extends Object

Field Summary
`javax.servlet.ServletContext` | `application`
`javax.servlet.jsp.JspWriter` | `out`
`javax.servlet.http.HttpServletRequest` | `request`
`javax.servlet.http.HttpServletResponse` | `response`
`javax.servlet.http.HttpSession` | `session`

Constructor Summary
`WebBean()`

Method Summary
`void` | `init(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpSession session, javax.servlet.ServletContext app)`
`void` | `init(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.http.HttpSession session, javax.servlet.ServletContext app, javax.servlet.jsp.JspWriter out)`
`void` | `init(javax.servlet.jsp.PageContext pageContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    public javax.servlet.http.HttpSession session

### request

    public javax.servlet.http.HttpServletRequest request

### response

    public javax.servlet.http.HttpServletResponse response

### application

    public javax.servlet.ServletContext application

### out

    public javax.servlet.jsp.JspWriter out

Constructor Detail

### WebBean

    public WebBean()

Method Detail

### init

    public void init(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     javax.servlet.http.HttpSession session,
                     javax.servlet.ServletContext app,
                     javax.servlet.jsp.JspWriter out)

### init

    public void init(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     javax.servlet.http.HttpSession session,
                     javax.servlet.ServletContext app)

### init

    public void init(javax.servlet.jsp.PageContext pageContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.